Đến nội dung


Hình ảnh
- - - - -

Help Vấn Đề Group


  • Please log in to reply
6 replies to this topic

#1 TranTien056

TranTien056

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 October 2016 - 10:47 AM

- Mình có vấn đề thế này.

+ Mình rất hay dùng lệnh group để tạo group các đối tượng.

+ Nhưng mỗi lần chỉnh sửa phải dùng tổ hợp phím ctrl + shilf + A để chỉnh sửa.

+ Các bạn có thể giúp mình viết lisp tổ hợp phím kia thành lệnh tắc trong cad được không ?

- Thank các bạn nhiều


  • 0

#2 Danh Cong

Danh Cong

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 252 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 21 October 2016 - 11:10 AM

Cách 1: Lôi họ hàng nhà group ra:  Tools--- Toolbars---- Autocad ---- Group. Đủ tiện ích của họ hàng nhà group cho bạn chọn.

Cách 2:

(defun c:AB ()
  (setvar "pickstyle" 0)(princ))
(defun c:AC ()
  (setvar "pickstyle" 1)(princ))

  • 0

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#3 Danh Cong

Danh Cong

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 252 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 21 October 2016 - 11:15 AM

Cách 2: AB và AC. hoặc bạn ko ưng thì đổi tự tên cho phù hợp.

 

Cách 1: Lôi họ hàng nhà group ra:  Tools--- Toolbars---- Autocad ---- Group. Đủ tiện ích của họ hàng nhà group cho bạn chọn.

Cách 2:

(defun c:AB ()
  (setvar "pickstyle" 0)(princ))
(defun c:AC ()
  (setvar "pickstyle" 1)(princ))

 


  • 0

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#4 Bee

Bee

    biết lệnh extend

  • Members
  • PipPipPip
  • 195 Bài viết
Điểm đánh giá: 66 (tàm tạm)

Đã gửi 21 October 2016 - 11:16 AM

 

Cách 1: Lôi họ hàng nhà group ra:  Tools--- Toolbars---- Autocad ---- Group. Đủ tiện ích của họ hàng nhà group cho bạn chọn.

Cách 2:

(defun c:AB ()
  (setvar "pickstyle" 0)(princ))
(defun c:AC ()
  (setvar "pickstyle" 1)(princ))

 

Cho 2 lệnh thành 1 như thế này tiện hơn ko e :)

(defun c:ge  ()
  (if (= (getvar "PICKSTYLE") 0)
    (setvar "PICKSTYLE" 1)
    (setvar "PICKSTYLE" 0))
  (princ)
  )

  • 0

#5 Danh Cong

Danh Cong

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 252 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 21 October 2016 - 11:27 AM

^^. Như kiểu F8 ạ . : ))) Hì, em quên mất chỉ cần ON với OFF , nên lỡ cho thành 2 lệnh luôn  :blink:  :blink:

 

 

Cho 2 lệnh thành 1 như thế này tiện hơn ko e :)

(defun c:ge  ()
  (if (= (getvar "PICKSTYLE") 0)
    (setvar "PICKSTYLE" 1)
    (setvar "PICKSTYLE" 0))
  (princ)
  )

  • 0

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#6 TranTien056

TranTien056

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 October 2016 - 01:37 PM

Mình cảm ơn các bạn đã giúp đở mình.

Lúc trước dùng máy mạnh xài cad 2017 có lệnh GE trong cad luôn. Giờ xài Cad thấp hơn nên hok có dùng không quen. 

Một lần nữa xin cảm ơn các bạn.


  • 0

#7 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 21 October 2016 - 07:02 PM

có thêm 1 cách nữa :

(defun c:go()
(defun SendKeys (keys / wscript)
 
(vlax-invoke-method (setq wscript (vlax-create-object "WScript.Shell")) 'sendkeys keys)
 
(vlax-release-object wscript)
 
)
(sendkeys "^+a")
 (princ)
)

  • 0